msgpack::adaptor::convert< std::unique_ptr< T > > Struct Template Reference

`#include <unique_ptr.hpp>`

## Public Member Functions

msgpack::object const & | operator() (msgpack::object const &o, std::unique_ptr< T > &v) const

## Member Function Documentation

## operator()()

template<typename T >

msgpack::object const& msgpack::adaptor::convert< std::unique_ptr< T > >::operator() | ( | msgpack::object const & | o,
|  | std::unique_ptr< T > & | v
| ) |  | const

inline

References msgpack::object::is_nil().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/cpp11/unique_ptr.hpp